package de.ivu.elect.jee.performance;

public enum PerformanceLogTransactionHandling {

  AFTER_TRANSACTION {
    @Override
    public boolean isAfterTransaction() {
      return true;
    }
  },
  IMMEDIATELY {
    @Override
    public boolean isAfterTransaction() {
      return false;
    }
  };

  public abstract boolean isAfterTransaction() ;
}
